Bug Hunting Session
Bug 125840 - Crash when trying to customize Base Data View toolbar
Summary: Crash when trying to customize Base Data View toolbar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Customize-Dialog-Toolbars
  Show dependency treegraph
 
Reported: 2019-06-10 19:37 UTC by Gabor Kelemen
Modified: 2019-06-13 17:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SvxConfigEntry::IsDeletable()"]


Attachments
Backtrace of the crash (29.85 KB, text/x-log)
2019-06-10 19:37 UTC, Gabor Kelemen
Details
How it looks in LibreOffice 5.4 (49.92 KB, image/png)
2019-06-11 08:20 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2019-06-10 19:37:42 UTC
Created attachment 152085 [details]
Backtrace of the crash

Current master Writer crashes when trying to customize the Data View toolbar (View - Data Sources).

1, Open Writer, select View - Data Sources. The data source browser appears.
2, Right click the toolbar and choose Customize toolbar.
3, Crash.

Happens with my current master build:
 
Version: 6.4.0.0.alpha0+
Build ID: 03d33ba9410433d2072364b3afb9dbd6b19c4d0d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: hu-HU (hu_HU.UTF-8); UI-Language: en-US
Calc: threaded

Also in bibisect-linux-64-6.3: 
Version: 6.3.0.0.alpha1+
Build ID: 53325b40b557cc84d8d21c1baa0ef8d3bfc00ab8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: hu-HU (hu_HU.UTF-8); UI-Language: en-US
Calc: threaded

But not with 6.0 on Ubuntu 18.04:
Verzió: 6.0.7.3
Build az.: 1:6.0.7-0ubuntu0.18.04.6
CPU szálak: 4; OS: Linux 4.15; Felületmegjelenítés: alapértelmezett; VCL: gtk3; 
Területi beállítások: hu-HU (hu_HU.UTF-8); Calc: group
Comment 1 Xisco Faulí 2019-06-10 20:05:00 UTC
Reproduced in

Versión: 6.2.4.2
Id. de compilación: 2412653d852ce75f65fbfa83fb7e7b669a126d64
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded
Comment 2 Xisco Faulí 2019-06-10 20:11:47 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a21744a72637a2e3044f55450df85f94a9fc0bf9

author	Muhammet Kara <muhammet.kara@pardus.org.tr>	2018-03-07 12:39:02 +0300
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2018-03-12 12:13:27 +0100
commit	a21744a72637a2e3044f55450df85f94a9fc0bf9 (patch)
tree	7f4aed0967f33de092932129a830fe0e991f5be0
parent	2cc2f9fa4b98eaf47ae1e8fecdfb916ed8038622 (diff)
tdf#114260: Add gear button to Customize dialog

Bisected with: bibisect-linux64-6.1

Adding Cc: to Muhammet Kara
Comment 3 Muhammet Kara 2019-06-11 07:52:01 UTC
Weird bug. Could you please confirm that this toolbar was customizable in 6.0? (I don't see it in the Toolbars list on the Customize dialog.)
Comment 4 Xisco Faulí 2019-06-11 08:20:34 UTC
Created attachment 152093 [details]
How it looks in LibreOffice 5.4

This is what is displayed  when clicking on customize in LibreOffice 5.4
Comment 5 Commit Notification 2019-06-12 08:29:43 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b25186b6701f0770127b38ecd7744901d2c5fe72%5E%21

Resolves tdf#125840: Crash when trying to customize Base Data View toolbar

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-06-12 17:13:29 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/f8a53414c4d0cc7e1077b61a8e8bd55cafe3ac03%5E%21

Resolves tdf#125840: Crash when trying to customize Base Data View toolbar

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-06-13 09:57:13 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: ee4823e16e5fece068ee123b9c3e29834cd38763
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Muhammet, thanks for fixing this issue!!
Comment 8 Xisco Faulí 2019-06-13 10:11:58 UTC
@Muhammet, any chance this could be bisected to 6.2 branch ?
Comment 9 Muhammet Kara 2019-06-13 11:15:50 UTC
(In reply to Xisco Faulí from comment #7)
> Verified in
> 
> Version: 6.4.0.0.alpha0+
> Build ID: ee4823e16e5fece068ee123b9c3e29834cd38763
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> @Muhammet, thanks for fixing this issue!!

My pleasure! :)

(In reply to Xisco Faulí from comment #8)
> @Muhammet, any chance this could be bisected to 6.2 branch ?

Do you mean backported? I am afraid it causes a merge conflict. I can take a look to see if I can cook up a quick fix for the 6.2 branch though.
Comment 10 Muhammet Kara 2019-06-13 11:26:29 UTC
Here is the patch, but I created it directly on Gerrit so it needs to be tested on 6.2 by someone (I don't have time myself atm): https://gerrit.libreoffice.org/#/c/73958/
Comment 11 Michael Weghorn 2019-06-13 17:41:24 UTC
(In reply to Muhammet Kara from comment #10)
> Here is the patch, but I created it directly on Gerrit so it needs to be
> tested on 6.2 by someone (I don't have time myself atm):
> https://gerrit.libreoffice.org/#/c/73958/

It works. :)
Comment 12 Commit Notification 2019-06-13 17:42:45 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/c98b7c9e75a951012d6693f5adecb1ff0e1f8f6b%5E%21

Resolves tdf#125840: Crash when trying to customize Base Data View toolbar

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.